/** @module inject-browser-sync-webpack-plugin
 */
declare module "inject-browser-sync-webpack-plugin" {
    /**
     * @typedef {Object} Options
     * @prop {number} [port = 3000]
     */
    export type Options = {
        port?: number;
    };
    /**
     * @constructor
     * @param {Options} [options] Plugin options
     */
    export class InjectBrowserSyncPlugin {
        constructor(options?: Options);
        /**
         * @param {import("webpack").Compiler} compiler
         */
        apply(compiler: any): void;
    }
}